using MongoDB.Bson.Serialization.Attributes;
using MongoDB.Bson;
using System;

namespace Posts.WebApi.Models.Entities
{
    public class File : IDocumentEntity
    {
        [BsonId]
        [BsonRepresentation(BsonType.ObjectId)]
        public string Id { get; set; }
        public string Name { get; set; }
        public string Path { get; set; }
        public DateTime? DeletedAtUtc { get; set; }
        
        public int FileTypeId { get; set; }
    }
}