export class RefreshTokenResponse {
    accessToken: string;
    refreshToken: string;
    expireAt: Date;

    public static assemble(dto: any): RefreshTokenResponse {
        const refreshTokenRespose = new RefreshTokenResponse();
        if (dto) {
            refreshTokenRespose.accessToken = dto.accessToken;
            refreshTokenRespose.refreshToken = dto.refreshToken;
            refreshTokenRespose.expireAt = dto.expireAt;
        }
        return refreshTokenRespose;
    }
}
