import { UserProfile } from '@app/shared/models';

export class UserLoginResponse {
    accessToken: string;
    refreshToken: string;
    expireAt: Date;
    userProfile: UserProfile;

    public static assemble(dto: any): UserLoginResponse {
        const userLoginRespose = new UserLoginResponse();
        if (dto) {
            userLoginRespose.accessToken = dto.accessToken;
            userLoginRespose.refreshToken = dto.refreshToken;
            userLoginRespose.expireAt = dto.expireAt;
            userLoginRespose.userProfile = UserProfile.assemble(dto.user);
        }
        return userLoginRespose;
    }
}