export * from './profile.reducer';


import { ActionReducerMap, createFeatureSelector, Action } from '@ngrx/store';

import * as fromProfile from './profile.reducer';

export interface AuthenticationState {
  profileState: fromProfile.ProfileState;
}

export const reducers: ActionReducerMap<AuthenticationState, Action & any> = {
  profileState: fromProfile.reducer
};

export const getAuthenticationState = createFeatureSelector<AuthenticationState>(
  'authentication'
);
