import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
import { UserProfile } from '@app/shared/models';

export interface UserProfileWebService {
    getUserByProfileId(profileId: number): Observable<UserProfile>;
}

export const UserProfileWebServiceToken = new InjectionToken<UserProfileWebService>('[UserProfileWebServiceToken]');