import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from '@environments/environment';

@Injectable()
export class FileService {

    constructor( private http: HttpClient) { }

    public loadFile(formData: FormData) {
        return this.http.post(environment.urlServerAddress + 'files/upload-file',
                         formData, {reportProgress: true, observe: 'events'});
    }
}