import { Injectable } from '@angular/core';
import { UserProfile } from '@app/shared/models/index';

@Injectable()

export class StorageService {
    setProfile(profile: UserProfile) {
        window.localStorage['profile'] = JSON.stringify(profile);
    }
    getProfile(): UserProfile {
        return JSON.parse(window.localStorage['profile']);
    }
    removeProfile() {
        window.localStorage.removeItem('profile');
    }
}
