import { getRouterState, RouterStateUrl} from '../../../../../store/index';
import { createSelector } from '@ngrx/store';

export const getPostId = createSelector(
    getRouterState,
    (state: RouterStateUrl) => {
        const arr = state.url.split('/');
        return arr[arr.length-1];
    }
)