import { createFeatureSelector, createSelector } from '@ngrx/store';
import { PostState } from '../post.reducer';

export const getPostState = createFeatureSelector<PostState>('post');

export const getPost = createSelector(
    getPostState,
    (state: PostState) => state.post
)

export const getPostLoading = createSelector(
    getPostState,
    (state: PostState) => state.loading
)

export const getPostErrorMessage = createSelector(
    getPostState,
    (state: PostState) => state.errorMessage
)
