import { Component, Input, Output, EventEmitter } from '@angular/core';
import { University } from '@app/shared/models/university';

@Component({
  selector: 'app-uni-search-card',
  templateUrl: './uni-search-card.component.html',
  styleUrls: ['./uni-search-card.component.scss'],
})
export class UniSearchCardComponent {
  @Input() university: University;

  @Output() selectUniversity = new EventEmitter<University>();

  constructor() {}

  public onCardClick(): void {
    if (this.university) this.selectUniversity.emit(this.university);
  }
}
