import { Injectable } from '@angular/core';
import { SelectGuard } from './select.guard';

@Injectable()
export class SubjectSearchGuard extends SelectGuard {
  public canActivate(): boolean {
    if (this.isPostCanBeActivated) {
      this.router.navigate([this.paths.post]);
      return false;
    } else if (this.isSubjectCanBeActivated) {
      return true;
    } else if (this.isFacultyCanBeActivated) {
      this.router.navigate([this.paths.faculty]);
      return false;
    } else {
      this.router.navigate([this.paths.university]);
      return false;
    }
  }
}
