import { Injectable } from '@angular/core';
import { Country } from '@app/shared/models/country';
import { HttpClient } from '@angular/common/http';
import { environment } from '@environments/environment';
import { Observable } from 'rxjs';

@Injectable()
export class CountryService {
  constructor(private http: HttpClient) {}

  public getCountries(): Observable<Country[]> {
    return this.http.get<Country[]>(environment.urlServerAddress + 'countries');
  }
}
