export function setSavedState(state: any, localStorageKey: string) {
  localStorage.setItem(localStorageKey, JSON.stringify(state));
}

export function getSavedState(localStorageKey: string): any | null {
  const result: string | null = localStorage.getItem(localStorageKey);
  if (result) return JSON.parse(result);
  else return null;
}
