using System.Collections.Generic;
using System.Threading.Tasks;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;
using Uni.WebApi.Models.Requests;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface IUniversityService
    { 
        Task<ServiceResult<IEnumerable<UniversityDto>>> GetListOfUniversitiesAsync(int cityId, int skip, int take);
        Task<ServiceResult<UniversityDto>> CreateUniversityAsync(AddUniversityRequest request);
    }
}