using System;
using System.ComponentModel.DataAnnotations.Schema;
using Uni.WebApi.Kernel.Entities.Base;

namespace Uni.WebApi.Kernel.Entities
{
    public class RefreshToken : BaseEntity
    {
        public string Token { get; set; }
        
        public DateTime ExpiredAt { get; set; }

        public int UserId { get; set; }

        [ForeignKey(nameof(UserId))] 
        public virtual User User { get; set; }
        public DateTime ModifiedAtUtc { get; set; }
    }
}