using System.ComponentModel.DataAnnotations;

namespace Uni.WebApi.Models.Requests
{
    public class AddGroupRequest
    {
        [Required]
        [StringLength(50, MinimumLength = 1)]
        public string Title { get; set; }

        [Required]
        public int YearStart { get; set; }

        [Required]
        public int Number { get; set; }

        [Required]
        public int FacultyId { get; set; }
    }
}