import { InjectionToken } from '@angular/core';

export interface AuthenticationWebService {
    login(email: string, password: string): Promise<any>;
    register(email: string, password: string, username: string, description?: string): Promise<any>;
}

export const AuthenticationWebServiceToken = new InjectionToken<AuthenticationWebService>('[AuthenticationWebServiceToken]');