import { Answer } from './answer';
import { File } from './file';
import { PostLocationType } from './enums/post-location-type';
import { PostValueType } from './enums/post-value-type';

export interface PostFull {
  id: string;
  title: string;
  description: string;
  semester: number;
  course: number;
  givenAt: Date;
  createdAtUtc: string;
  modifiedAt: Date;
  postLocationType: PostLocationType;
  postValueType: PostValueType;
  groupId: number;
  groupTitle: string;
  userId: number;
  answers: Answer[];
  files: File[];
  validatedAtUtc: string;
  subjectId: number;
}
