using System.Collections.Generic;
using System.Threading.Tasks;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;
using Uni.WebApi.Models.Requests;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface ICityService
    { 
        Task<ServiceResult<IEnumerable<CityDto>>> GetListOfCitiesAsync(int countryId);
        Task<ServiceResult<CityDto>> CreateCityAsync(AddCityRequest request);
    }
}