using System.Collections.Generic;
using System.Threading.Tasks;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface ICountryService
    { 
        Task<ServiceResult<IEnumerable<CountryDto>>> GetListOfCountriesAsync();
        Task<ServiceResult<CountryDto>> CreateCountryAsync(string countryTitle);
    }
}