using System.Collections.Generic;
using System.Threading.Tasks;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;
using Uni.WebApi.Models.Requests;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface IGroupService
    {
        Task<ServiceResult<IEnumerable<GroupDto>>> GetListOfGroupsAsync(int facultyId);
        Task<ServiceResult<GroupDto>> CreateGroupAsync(AddGroupRequest request);
    }
}